Welcome to
Mod The Sims
Online: 1462
News:
Have an account? Sign in:
pass:
If you don't have an account, why not sign up now? It's free!
Other sites: SimsWiki
This page is located on the SimsWiki. To view it in it's original form, click here.
Sims 3 Game Help Categories:

Custom Content  | Installation  | Gameplay Guides  | Technical & Graphics Issues  | Miscellaneous Issues

MTS Help Q&A Forums


Contents

Issue & Symptoms

  • Launcher showing version 0.0.0.0 after patching
  • You get the following error messages when starting Launcher:
    1. "Base Game not compatible with current Expansion Pack."
    2. "The version of the game you are running is incompatible with the data. Please update your game."
    3. "Sims3Launcher has encountered a problem and needs to close. We are sorry for the inconvenience."
    4. "There was an error during startup. See the Log for more details."
    5. "This application has failed to start because QtCore4.dll was not found"
  • Launcher crashing since Patch 1.17.60 / 2.12.8 / 3.8.6 / 4.5.6 / 5.2.4, but game loads anyway.
  • You've uninstalled (or plan to uninstall) Lucky Palms from the launcher and you get an error message.

Causes

Much of it is unknown. But most of the time means that Origin (aka EADM) has been updated or patching is incomplete or had corrupted things or ... you haven't dance naked at the full moon or made the proper sacrifices to the EA gods yet, have you?

It could also mean the system need some updates, as Launcher uses the following components.

  1. Internet Explorer
  2. Adobe Flash
  3. Adobe Air
  4. Microsoft C++ redistributable


Solution

Update Origin (aka EADM)
Most of the time Launcher issues are really Origin (aka EADM) issues as it needs to be updated or has become corrupted or just buggy.
Follow the suggestions in this guide Game Help:EADM Issues.


Update the other components
If latest Origin does not solve it, update the other components
  1. Internet Explorer
    • Even if your primary web browser is Firefox or Google Chrome, the Launcher won't care. It still looks for IE.
  2. Adobe Flash
  3. Adobe Air
    • Download the Adobe components from within Internet Explorer itself, as there are different versions for different web browsers. Otherwise, you'd need to click on the Need it for a different computer/Operating System link.
  4. Microsoft Visual C++ 2010 Redistributable Package (x86)
    • If you have a 32-bit OS, you just need this.
  5. Microsoft Visual C++ 2010 Redistributable Package (x64)
    • If you have a 64-bit OS, you'd need both versions.
  6. DirectX End-User Runtime Web Installer
    • May not be necessary, but since you're updating everything else, why not.

Most of these are considered Web Installers, meaning you would still need an Internet connection after the download has completed and you run the downloaded program. The web installer would determine your OS and checks other system requirements, and downloads the appropriate program to install at the time. The above requirements are of course for Windows systems. The requirements might not apply for OS X systems, or they are different. In any case Adobe Flash and Air exist too:

  1. Adobe AIR for MacOS X
  2. Flash Player 11 for Mac OS X


For the incompatible error message
If you have Expansion (or Stuff) packs, you have to let the Launcher quit and restart itself again in order to patch both the base game and the last-released expansion/stuff pack that you have installed. Yes, contrary to Sims 2 patching methods, patches from version 1.6 onwards, need to run separate updates for each game. If Launcher does not Quit and restart, you might need to do the fix for EADM glitch below, or logoff the machine and logon again.

See the Game Help:Patch Table for the patch versions in each release that must match, at the very least for base game and the last-installed pack, as per EA's claims. But patching all the games to the same level now, may also mean less hassle next go round.
This guide shows how to find your GameVersion.

If you're doing a manual patch, you need to download separate .exe files for each game and run them one after another (order does not matter).


For the version 0.0.0.0 issue
The first suggestion is to remove the version.tag file.
Don't work? Move the DCCache folder to Desktop.
No luck there either? Rename the user folders.
Run the Base Game Launcher by using the base game disk or its shortcut.
Final resort is to uninstall and patch manually, ie do not use Launcher or EADM at all - Game Help:TS3 Uninstall.


For the QTCore.dll issue
This could be due to the "EACoreServer.exe" file not being launched properly; especially if after double-clicking on the EADM icon, you still do not see the EADM icon on the system tray.
To overcome this, right-click on the EADM icon on your Desktop, and select "Properties". Then in the Shortcut tab, click on the "Find Target" button. In the Window Explorer that pop-up, double-click on "EACoreServer.exe", and then immediately double-click on the EADM icon on the Desktop.
Once you get EADM started properly, start Launcher and login as per normal.


For the Launcher crashing issue
If you're concern this crashing may affect gameplay, you can bypass the Launcher.
Make sure to check the components listed above are all current.


If you have already uninstalled Lucky Palms
Delete the DCCache folder
Note: This will remove any installed content from the Launcher, but you will be able to reinstall through the Launcher.


To uninstall Lucky Palms
Go to the "Installed Content" tab within the Launcher
Look for the "Heavenly Bells" slanted column and check it.
Find the "Lucky Palms" World file and check it.
Select "Uninstall" and wait for the success message.
UPDATE: as of 7/31/2012 @12PM PST, Lucky Palms has been fixed.
Per SimGuruSarah, she advises that you DO NOT uninstall Lucky Palms to apply the update.
If you do choose to update, BACK UP YOUR SAVE GAME FILES and remove ALL of the Lucky Palms objects.
See Lucky Palms Objects for a complete list of content from the Lucky Palms World.

Further reading

From official forums:

  1. Still having 0.0.0.0 and Base Game Incompatibility? Read This!
  2. Workarounds for Launcher reading Version 0.0.0.0 and Base Game Incompatibility


Seeking further assistance

Before you post in the MTS Sims 3 Help Forums, please try all the above suggestions.

We probably won't have any further tips to suggest other than the ones above, so creating a new thread might not yield any results. If you do decide to create a new thread anyway, be sure to mention you've done this FAQ or you'll be directed to this wiki again. Not mentioning it is our clue than you have not read this page nor tried the troubleshooting steps outlined here.

Sims 3 Game Help Categories:

Custom Content  | Installation  | Gameplay Guides  | Technical & Graphics Issues  | Miscellaneous Issues

MTS Help Q&A Forums
Powered by MariaDB Some icons by http://dryicons.com.